package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class TbPlussUserAreaRewardFlow implements Serializable {
    private Integer id;

    private Integer userid;

    private String rolecode;

    private BigDecimal areaflow;

    private BigDecimal rewardamt;

    private Date createtime;

    private Date createdate;

    private Date profitdate;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserid() {
        return userid;
    }

    public void setUserid(Integer userid) {
        this.userid = userid;
    }

    public String getRolecode() {
        return rolecode;
    }

    public void setRolecode(String rolecode) {
        this.rolecode = rolecode == null ? null : rolecode.trim();
    }

    public BigDecimal getAreaflow() {
        return areaflow;
    }

    public void setAreaflow(BigDecimal areaflow) {
        this.areaflow = areaflow;
    }

    public BigDecimal getRewardamt() {
        return rewardamt;
    }

    public void setRewardamt(BigDecimal rewardamt) {
        this.rewardamt = rewardamt;
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public Date getProfitdate() {
        return profitdate;
    }

    public void setProfitdate(Date profitdate) {
        this.profitdate = profitdate;
    }
}